Debian Bug report logs - #502121
RFP: sreadahead -- Super Read Ahead

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Julian Andres Klode <jak@debian.org>

Date: Mon, 13 Oct 2008 18:18:04 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-eeepc-devel@lists.alioth.debian.org, arjan@linux.intel.com, <wnpp@debian.org>:
Bug#502121; Package wnpp. (Mon, 13 Oct 2008 18:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@jak-linux.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-eeepc-devel@lists.alioth.debian.org, arjan@linux.intel.com, <wnpp@debian.org>. (Mon, 13 Oct 2008 18:18:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@jak-linux.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: sreadahead -- Super Read Ahead
Date: Mon, 13 Oct 2008 20:16:55 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Julian Andres Klode <jak@jak-linux.org>


* Package name    : sreadahead
  Version         : 0.02
  Upstream Author : Arjan van de Ven <arjan@linux.intel.com>
* URL             : http://www.moblin.org/projects/fast-boot
* License         : GPL-2
  Programming Lang: C
  Description     : Super Read Ahead

sReadahead is based on Fedora Readahead, but is modified to take 
advantage of the kernel's new list of blocks read.
.
It allows the user to specify a set of files to be read into the page 
cache to accelerate first time loading of programs, typically during the boot
sequence.

This is just a basic ITP. Real work starts later.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: amd64 (x86_64)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Andres Klode <jak@jak-linux.org>:
Bug#502121; Package wnpp. (Mon, 13 Oct 2008 18:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arjan van de Ven <arjan@linux.intel.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Andres Klode <jak@jak-linux.org>. (Mon, 13 Oct 2008 18:30:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Arjan van de Ven <arjan@linux.intel.com>
To: Julian Andres Klode <jak@jak-linux.org>, 502121@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#502121: ITP: sreadahead -- Super Read Ahead
Date: Mon, 13 Oct 2008 11:25:29 -0700
The description is wrong.

sReadAhead is NOT based on the Fedora read ahead at all.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Andres Klode <jak@jak-linux.org>:
Bug#502121; Package wnpp. (Mon, 13 Oct 2008 18:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arjan van de Ven <arjan@linux.intel.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Andres Klode <jak@jak-linux.org>. (Mon, 13 Oct 2008 18:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julian Andres Klode <jak@jak-linux.org>:
Bug#502121; Package wnpp. (Mon, 13 Oct 2008 18:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Julian Andres Klode" <jak@jak-linux.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julian Andres Klode <jak@jak-linux.org>. (Mon, 13 Oct 2008 18:33:05 GMT) Full text and rfc822 format available.

Message #20 received at 502121@bugs.debian.org (full text, mbox):

From: "Julian Andres Klode" <jak@jak-linux.org>
To: "Arjan van de Ven" <arjan@linux.intel.com>
Cc: 502121@bugs.debian.org
Subject: Re: Bug#502121: ITP: sreadahead -- Super Read Ahead
Date: Mon, 13 Oct 2008 20:29:21 +0200
2008/10/13 Arjan van de Ven <arjan@linux.intel.com>:
> The description is wrong.
>
> sReadAhead is NOT based on the Fedora read ahead at all.
>
Sorry, i read it on http://lwn.net/Articles/299483/


-- 
Julian Andres Klode  - Free Software Developer
   Debian Maintainer - Contributing Member of SPI
   Ubuntu Member     - Fellow of FSFE

Website: http://jak-linux.org/   XMPP: juliank@jabber.org
Debian:  http://www.debian.org/  SPI:  http://www.spi-inc.org/
Ubuntu:  http://www.ubuntu.com/  FSFE: http://www.fsfe.org/




Changed Bug title to `RFP: sreadahead -- Super Read Ahead' from `ITP: sreadahead -- Super Read Ahead'. Request was from Julian Andres Klode <jak@jak-linux.org> to control@bugs.debian.org. (Mon, 08 Dec 2008 15:27:05 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Julian Andres Klode <jak@jak-linux.org>. Request was from Julian Andres Klode <jak@jak-linux.org> to control@bugs.debian.org. (Mon, 08 Dec 2008 15:27:05 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: sreadahead -- Super Read Ahead' from `RFP: sreadahead -- Super Read Ahead'. Request was from Tobias Klauser <tklauser@distanz.ch> to control@bugs.debian.org. (Sun, 14 Dec 2008 19:18:08 GMT) Full text and rfc822 format available.

Owner recorded as Tobias Klauser <tklauser@distanz.ch>. Request was from Tobias Klauser <tklauser@distanz.ch> to control@bugs.debian.org. (Sun, 14 Dec 2008 19:18:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Tobias Klauser <tklauser@distanz.ch>:
Bug#502121; Package wnpp. (Tue, 21 Apr 2009 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Resul Cetin <Resul-Cetin@gmx.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Tobias Klauser <tklauser@distanz.ch>. (Tue, 21 Apr 2009 20:27:03 GMT) Full text and rfc822 format available.

Message #33 received at 502121@bugs.debian.org (full text, mbox):

From: Resul Cetin <Resul-Cetin@gmx.net>
To: 502121@bugs.debian.org
Subject: [wnpp]
Date: Tue, 21 Apr 2009 22:21:17 +0200
Package: wnpp

Some things changed in the project.

New website: http://code.google.com/p/sreadahead/
Version:     1.0

A patch for the current kernel is needed to enable open tracing. The rest 
should work better than readahead. No more ext3 dependency is needed anymore.








Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#502121; Package wnpp. (Wed, 29 Apr 2009 06:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Klauser <tklauser@distanz.ch>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 29 Apr 2009 06:30:03 GMT) Full text and rfc822 format available.

Message #38 received at 502121@bugs.debian.org (full text, mbox):

From: Tobias Klauser <tklauser@distanz.ch>
To: Resul Cetin <Resul-Cetin@gmx.net>, 502121@bugs.debian.org
Subject: Re: Bug#502121: [wnpp]
Date: Wed, 29 Apr 2009 08:25:58 +0200
On 2009-04-21 at 22:21:17 +0200, Resul Cetin <Resul-Cetin@gmx.net> wrote:
> Package: wnpp
> 
> Some things changed in the project.
> 
> New website: http://code.google.com/p/sreadahead/
> Version:     1.0
> 
> A patch for the current kernel is needed to enable open tracing. The rest 
> should work better than readahead. No more ext3 dependency is needed anymore.

Thanks for the info. I'll wait with the packaging until the patch has
made it upstream and is available in the Debian kernel. IMO it doesn't
make much sense to create a package which needs manual kernel patching
by the user.

Thanks, Tobias




Changed Bug submitter to 'Julian Andres Klode <jak@debian.org>' from 'Julian Andres Klode <jak@jak-linux.org>' Request was from Julian Andres Klode <jak@debian.org> to control@bugs.debian.org. (Sun, 07 Feb 2010 16:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tobias Klauser <tklauser@distanz.ch>:
Bug#502121; Package wnpp. (Tue, 13 Apr 2010 10:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to trentbuck@gmail.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tobias Klauser <tklauser@distanz.ch>. (Tue, 13 Apr 2010 10:30:03 GMT) Full text and rfc822 format available.

Message #45 received at 502121@bugs.debian.org (full text, mbox):

From: trentbuck@gmail.com
To: 502121@bugs.debian.org
Subject: Re: Bug#502121: [wnpp]
Date: Tue, 13 Apr 2010 20:25:53 +1000
Twelve months ago, Tobias Klauser wrote:
> On 2009-04-21 at 22:21:17 +0200, Resul Cetin <Resul-Cetin@gmx.net> wrote:
>> New website: http://code.google.com/p/sreadahead/
>> A patch for the current kernel is needed to enable open tracing.
>
> I'll wait with the packaging until the patch has made it upstream
> and is available in the Debian kernel.

AFAICT the patch is not applied to Linus' git tree yet.  If applying
it is/was under discussion, could you link to the mailing list thread?
AFAICT it isn't applied to Debian's linux-source-2.6.33 version
2.6.33-1~experimental.4, either.

It looks like Ubuntu adopted it, and it was useful for SSDs:
https://lists.ubuntu.com/archives/ubuntu-devel/2009-March/027726.html

But it appears to be superseded by ureadahead:
http://packages.ubuntu.com/lucid/sreadahead
http://packages.ubuntu.com/lucid/ureadahead
https://launchpad.net/ureadahead

...which is an Ubuntu fork of sreadahead?  The last change to
sreadahead was Apr 2009, the ureadahead changes range from Oct 2009 to
Nov 2009.  Both require a kernel patch.

FWIW, Fedora's readahead is being actively modified as at Mar 2010
(last month).




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tobias Klauser <tklauser@distanz.ch>:
Bug#502121; Package wnpp. (Sat, 19 Jun 2010 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tobias Klauser <tklauser@distanz.ch>. (Sat, 19 Jun 2010 18:39:03 GMT) Full text and rfc822 format available.

Message #50 received at 502121@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: trentbuck@gmail.com, 502121@bugs.debian.org
Subject: Re: Bug#502121: [wnpp]
Date: Sat, 19 Jun 2010 20:36:55 +0200
[Message part 1 (text/plain, inline)]
On Tue, Apr 13, 2010 at 08:25:53PM +1000, trentbuck@gmail.com wrote:
> Twelve months ago, Tobias Klauser wrote:
> > On 2009-04-21 at 22:21:17 +0200, Resul Cetin <Resul-Cetin@gmx.net> wrote:
> >> New website: http://code.google.com/p/sreadahead/
> >> A patch for the current kernel is needed to enable open tracing.
> >
> > I'll wait with the packaging until the patch has made it upstream
> > and is available in the Debian kernel.
> 
> AFAICT the patch is not applied to Linus' git tree yet.  If applying
> it is/was under discussion, could you link to the mailing list thread?
> AFAICT it isn't applied to Debian's linux-source-2.6.33 version
> 2.6.33-1~experimental.4, either.
> 
> It looks like Ubuntu adopted it, and it was useful for SSDs:
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-March/027726.html
> 
> But it appears to be superseded by ureadahead:
> http://packages.ubuntu.com/lucid/sreadahead
> http://packages.ubuntu.com/lucid/ureadahead
> https://launchpad.net/ureadahead
> 
> ...which is an Ubuntu fork of sreadahead?  The last change to
> sreadahead was Apr 2009, the ureadahead changes range from Oct 2009 to
> Nov 2009.  Both require a kernel patch.

The last change to sreadahead was Wednesday April 28 2010:
   http://meego.gitorious.org/meego-os-base/sreadahead

And I still fail to see the use of ureadahead instead of improving
sreadahead.

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tobias Klauser <tklauser@distanz.ch>:
Bug#502121; Package wnpp. (Sat, 19 Feb 2011 17:45:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tobias Klauser <tklauser@distanz.ch>. (Sat, 19 Feb 2011 17:45:25 GMT) Full text and rfc822 format available.

Message #55 received at 502121@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 502121@bugs.debian.org
Cc: control@bugs.debian.org
Subject: sreadahead: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:02:38 +0000
retitle 502121 RFP: sreadahead -- Super Read Ahead
noowner 502121
thanks

Hi,

This is an automatic email to change the status of sreadahead back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting sreadahead, please send a mail to
<control@bugs.debian.org> with:

 retitle 502121 ITP: sreadahead -- Super Read Ahead
 owner 502121 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <502121@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: sreadahead -- Super Read Ahead' from 'ITP: sreadahead -- Super Read Ahead' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:51:28 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Tobias Klauser <tklauser@distanz.ch>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:51:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 02:10:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.